Class SetupImpl
java.lang.Object
com.eqixiac.equinix.networkedge.client.implementation.SetupImpl
- All Implemented Interfaces:
Setup
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreateAgreement(String accountNumber, String termsVersionId) Creates an Agreement for the provided account number.static <T> Predicate<T> distinctByKey(Function<? super T, ?> keyExtractor) getAgreementStatus(String accountNumber) Returns the Agreement Status for the provided account number.byte[]getOrderSummary(RequestBuilder.OrderSummary requestBuilder) Gets the order summary document based on the parameters provided.Returns the order terms for Network Edge.getPricing(RequestBuilder.Pricing requestBuilder) Gets pricing information based on the parameters provided.getPricing(String deviceUuid) Gets pricing information for the specified Device.getVendorsTerms(String vendorPackage, LicenseType licenseType) Returns the vendor terms for the specified vendor package and license type.listAccounts(MetroCode metroCode) Lists available Accounts in the provided metro.Lists available Accounts in all available metros.Returns the current planned and unplanned downtime notifications for Network Edge APIs and infrastructure.Lists available Metros with Network Edge present.listMetrosByRegion(Region region) Lists available Metros with Network Edge present in the specified Region.uploadFile(MetroCode metroCode, String deviceTypeCode, FileProcessType processType, DeviceManagementType deviceManagementType, LicenseType licenseType, String fileContents) Uploads a generic file (a license file or a cloud-init / bootstrap file) and returns the unique id of the uploaded file.
-
Constructor Details
-
SetupImpl
public SetupImpl()
-
-
Method Details
-
listAccounts
-
listAllAccounts
Description copied from interface:SetupLists available Accounts in all available metros. Note that this can be a slow operation as it checks every metro and then de-dupes accounts based on accountId and then referenceId.- Specified by:
listAllAccountsin interfaceSetup- Returns:
List
-
distinctByKey
-
listMetros
Description copied from interface:SetupLists available Metros with Network Edge present.- Specified by:
listMetrosin interfaceSetup- Returns:
PaginatedList
-
listMetrosByRegion
Description copied from interface:SetupLists available Metros with Network Edge present in the specified Region.- Specified by:
listMetrosByRegionin interfaceSetup- Parameters:
region- theRegionof the metros.- Returns:
PaginatedList
-
getAgreementStatus
Description copied from interface:SetupReturns the Agreement Status for the provided account number.- Specified by:
getAgreementStatusin interfaceSetup- Parameters:
accountNumber- the unique account identifier.- Returns:
String
-
createAgreement
Description copied from interface:SetupCreates an Agreement for the provided account number. The termsVersionId can be obtained from getAgreementStatus().- Specified by:
createAgreementin interfaceSetup- Parameters:
accountNumber- the unique account identifier.termsVersionId- the unique identifier of the agreement terms version.- Returns:
AgreementStatus
-
getVendorsTerms
Description copied from interface:SetupReturns the vendor terms for the specified vendor package and license type.- Specified by:
getVendorsTermsin interfaceSetup- Parameters:
vendorPackage- the desired vendor package.licenseType- the desiredLicenseType.- Returns:
String
-
getOrderTerms
Description copied from interface:SetupReturns the order terms for Network Edge.- Specified by:
getOrderTermsin interfaceSetup- Returns:
String
-
getPricing
Gets pricing information based on the parameters provided.- Specified by:
getPricingin interfaceSetup- Parameters:
requestBuilder- the desired query parameters.- Returns:
Pricing
-
getPricing
Gets pricing information for the specified Device.- Specified by:
getPricingin interfaceSetup- Parameters:
deviceUuid- the unique identifier of the Device.- Returns:
Pricing
-
getOrderSummary
Description copied from interface:SetupGets the order summary document based on the parameters provided.- Specified by:
getOrderSummaryin interfaceSetup- Parameters:
requestBuilder- the desired query parameters.- Returns:
- the order summary as a byte array.
-
uploadFile
public String uploadFile(MetroCode metroCode, String deviceTypeCode, FileProcessType processType, DeviceManagementType deviceManagementType, LicenseType licenseType, String fileContents) Description copied from interface:SetupUploads a generic file (a license file or a cloud-init / bootstrap file) and returns the unique id of the uploaded file. The returned file id can subsequently be referenced when creating a device or triggering an RMA (e.g. ascloudInitFileIdorlicenseFileId).- Specified by:
uploadFilein interfaceSetup- Parameters:
metroCode- theMetroCodethe file applies to.deviceTypeCode- the device type code the file applies to (e.g.C8000V).processType- whether the file is aLICENSEorCLOUD_INITfile.deviceManagementType- theDeviceManagementType, ornull.licenseType- theLicenseType, ornull.fileContents- the contents of the file to upload.- Returns:
Stringthe unique id of the uploaded file.
-
listDowntimeNotifications
Description copied from interface:SetupReturns the current planned and unplanned downtime notifications for Network Edge APIs and infrastructure.- Specified by:
listDowntimeNotificationsin interfaceSetup- Returns:
DowntimeNotification
-